Get a payment by ID
curl --request GET \
--url https://api.example.com/v1/payment/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.example.com/v1/payment/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.example.com/v1/payment/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/payment/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/payment/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/payment/{id}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/payment/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": true,
"transaction": {
"action": "SALE",
"amount": "10.00",
"createdAt": "2023-12-25T10:00:00.000Z",
"currency": "USD",
"id": "tr_xv0p2q5scocndpejk0nud75q",
"livemode": true,
"orderId": "transaction_123",
"status": "PROCESSING",
"errorCode": "PSP_OUTCOME_UNKNOWN",
"processingAmount": "9.57",
"processingCurrency": "EUR"
}
}{
"error": "Bad Request",
"message": [
"amount must be a decimal string in major units, e.g. \"12.30\"; JSON numbers are not accepted for money (got 12.3)"
],
"statusCode": 400
}{
"message": "Invalid API key",
"error": "Unauthorized",
"errorCode": "API_KEY_ROTATION_REQUIRED",
"statusCode": 401
}{
"error": "Not Found",
"message": "Transaction not found",
"statusCode": 404
}{
"error": "RATE_LIMITED",
"errorCode": "RATE_LIMITED",
"message": "Too many requests. Retry after the indicated delay.",
"status": false,
"statusCode": 429
}{
"error": "DUPLICATE_ORDER_ID",
"errorCode": "DUPLICATE_ORDER_ID",
"message": "A transaction with orderId \"A-1001\" already exists for this merchant",
"status": false,
"statusCode": 409,
"existingTransactionId": "tr_x8k2p0q5scocndpejk0nud75q",
"fields": [
"customer.email",
"customer.country"
],
"idempotencyKey": "0b6f2c1e-4c7a-4a43-9a51-6a4b1d7e9f10",
"orderId": "A-1001"
}{
"error": "Service Unavailable",
"message": "API_KEY_VALIDATION_UNAVAILABLE",
"statusCode": 503
}{
"error": "DUPLICATE_ORDER_ID",
"errorCode": "DUPLICATE_ORDER_ID",
"message": "A transaction with orderId \"A-1001\" already exists for this merchant",
"status": false,
"statusCode": 409,
"existingTransactionId": "tr_x8k2p0q5scocndpejk0nud75q",
"fields": [
"customer.email",
"customer.country"
],
"idempotencyKey": "0b6f2c1e-4c7a-4a43-9a51-6a4b1d7e9f10",
"orderId": "A-1001"
}Payments
Get a payment by ID
Stored status only; never creates or retries a PSP operation. Same response as GET /v1/transactions/:id.
GET
/
v1
/
payment
/
{id}
Get a payment by ID
curl --request GET \
--url https://api.example.com/v1/payment/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.example.com/v1/payment/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.example.com/v1/payment/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/payment/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/payment/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/payment/{id}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/payment/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": true,
"transaction": {
"action": "SALE",
"amount": "10.00",
"createdAt": "2023-12-25T10:00:00.000Z",
"currency": "USD",
"id": "tr_xv0p2q5scocndpejk0nud75q",
"livemode": true,
"orderId": "transaction_123",
"status": "PROCESSING",
"errorCode": "PSP_OUTCOME_UNKNOWN",
"processingAmount": "9.57",
"processingCurrency": "EUR"
}
}{
"error": "Bad Request",
"message": [
"amount must be a decimal string in major units, e.g. \"12.30\"; JSON numbers are not accepted for money (got 12.3)"
],
"statusCode": 400
}{
"message": "Invalid API key",
"error": "Unauthorized",
"errorCode": "API_KEY_ROTATION_REQUIRED",
"statusCode": 401
}{
"error": "Not Found",
"message": "Transaction not found",
"statusCode": 404
}{
"error": "RATE_LIMITED",
"errorCode": "RATE_LIMITED",
"message": "Too many requests. Retry after the indicated delay.",
"status": false,
"statusCode": 429
}{
"error": "DUPLICATE_ORDER_ID",
"errorCode": "DUPLICATE_ORDER_ID",
"message": "A transaction with orderId \"A-1001\" already exists for this merchant",
"status": false,
"statusCode": 409,
"existingTransactionId": "tr_x8k2p0q5scocndpejk0nud75q",
"fields": [
"customer.email",
"customer.country"
],
"idempotencyKey": "0b6f2c1e-4c7a-4a43-9a51-6a4b1d7e9f10",
"orderId": "A-1001"
}{
"error": "Service Unavailable",
"message": "API_KEY_VALIDATION_UNAVAILABLE",
"statusCode": 503
}{
"error": "DUPLICATE_ORDER_ID",
"errorCode": "DUPLICATE_ORDER_ID",
"message": "A transaction with orderId \"A-1001\" already exists for this merchant",
"status": false,
"statusCode": 409,
"existingTransactionId": "tr_x8k2p0q5scocndpejk0nud75q",
"fields": [
"customer.email",
"customer.country"
],
"idempotencyKey": "0b6f2c1e-4c7a-4a43-9a51-6a4b1d7e9f10",
"orderId": "A-1001"
}